<?php

// disable error logging
error_reporting(0);

require_once dirname(__FILE__) . '/s3.php';

if($rows['password'] != 'EMPTY') {
	$pwd = mysqli_real_escape_string($mysqli, md5($_POST['password']));
	if($rows['password'] == $pwd) {
		if($rows['count'] > 1) {

			$zipname = $name_on_file . '-' . $download_id . '.zip';
			$ziplocation = '../' . $upload_dir . $name_on_file . '-' . $rows['upload_id'] . '.zip';
			$file_url = $s3->getObjectUrl($bucket_name, $zipname, '+1 minute');
			$zip_size = $s3->get_object_filesize($bucket_name, $zipname);

			header("Content-Type: application/octet-stream");
			header("Content-Transfer-Encoding: Binary");
			header('Content-Length: ' . $zip_size);
			header("Content-disposition: attachment; filename=\"$zipname\""); 
		
			ob_clean();
		    ob_end_flush();
		    session_write_close();

			$file = @fopen($file_url,"rb");
			while(!feof($file))
			{
				print(@fread($file, 1024*8));
				ob_flush();
				flush();
			}


			$check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
			if($check_download->num_rows == 0 && $download_email != '') {
				//Send the download notification email
				emailSender($message_downloaded,$downloaded_subject,$rows['email_from']);
			}

			if(!empty($download_email)) {
				$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
			}
			else
			{
				$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
			}

			if($rows['destruct'] == 'YES') {
				if($rows['share'] == 'mail' && $download_email != '') {
					$get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
					$get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
					if($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
						$s3->deleteObject($bucket_name, $name_on_file . '-' . $rows['upload_id'] . '.zip');

						//Set status to destroyed
						$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

						//Send the destructed notification email
						emailSender($message_destruct,$destroyed_subject,$rows['email_from']);
					}
				}
				elseif($rows['share'] == 'link')
				{
					$s3->deleteObject($bucket_name, $name_on_file . '-' . $rows['upload_id'] . '.zip');

					//Set status to destroyed
					$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");
				}
			}	
		}
		else
		{
			$get_file_info = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$download_id'");
			while($row = $get_file_info->fetch_assoc()) {
				$secret_file_name = $row['secret_code'] . '-' . $row['file'];
				$file_name = $row['file'];
				$file_url = $s3->getObjectUrl($bucket_name, $secret_file_name, '+1 minute');
				$file_size = $s3->get_object_filesize($bucket_name, $secret_file_name);
				
				header("Content-Type: application/octet-stream");
				header("Content-Transfer-Encoding: Binary");
				header('Content-Length: ' . $file_size);
				header("Content-disposition: attachment; filename=\"$file_name\""); 
				
				ob_clean();
			    ob_end_flush();
			    session_write_close();

				$file = @fopen($file_url,"rb");
				while(!feof($file))
				{
					print(@fread($file, 1024*8));
					ob_flush();
					flush();
				}

				$check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
				if($check_download->num_rows == 0 && $rows['share'] == 'mail' && $download_email != '') {
					//Sending the downloaded notification email
					emailSender($message_downloaded,$downloaded_subject,$rows['email_from']);
				}

				if(!empty($download_email)) {
					$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
				}
				else
				{
					$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
				}

				if($rows['destruct'] == 'YES') {
					if($rows['share'] == 'mail' && $download_email != '') {
						$get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
						$get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
						if($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
							//Set status to destroyed
							$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

							//Remove other files from files directory
							$s3->deleteObject($bucket_name, $row['secret_code'] . '-' . $row['file']);

							//Sending the destructed notification email
							emailSender($message_destruct,$destroyed_subject,$rows['email_from']);
						}
					}
					elseif($rows['share'] == 'link')
					{
						//Set status to destroyed
						$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

						$s3->deleteObject($bucket_name, $row['secret_code'] . '-' . $row['file']);
					}
				}
			}
		}
	}
	else
	{
		if(isset($download_email)) {
			header("Location: ../" . $download_id . "&m=" . $download_email . "&e=wrong");
		}
		else
		{
			header("Location: ../" . $download_id . "&e=wrong");
		}
	}
}
else
{
	if($rows['count'] > 1) {

		$zipname = $name_on_file . '-' . $download_id . '.zip';
		$ziplocation = '../' . $upload_dir . $name_on_file . '-' . $download_id . '.zip';
		$file_url = $s3->getObjectUrl($bucket_name, $zipname, '+1 minute');
		$zip_size = $s3->get_object_filesize($bucket_name, $zipname);
			
		header("Content-Type: application/octet-stream");
		header("Content-Transfer-Encoding: Binary");
		header('Content-Length: ' . $zip_size);
		header("Content-disposition: attachment; filename=\"$zipname\"");
		
		ob_clean();
	    ob_end_flush();
	    session_write_close();

		$file = @fopen($file_url,"rb");
		while(!feof($file))
		{
			print(@fread($file, 1024*8));
			ob_flush();
			flush();
		}


		$check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
		if($check_download->num_rows == 0 && $rows['share'] == 'mail' && $download_email != '') {
			emailSender($message_downloaded,$downloaded_subject,$rows['email_from']);
		}

		if(!empty($download_email)) {
			$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
		}
		else
		{
			$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
		}

		if($rows['destruct'] == 'YES') {
			if($rows['share'] == 'mail' && $download_email != '') {
				$get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
				$get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
				if($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
					//Set status to destroyed
					$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

					$s3->deleteObject($bucket_name, $name_on_file . '-' . $rows['upload_id'] . '.zip');

					//Sending the destructed notification email
					emailSender($message_destruct,$destroyed_subject,$rows['email_from']);
				}
			}
			elseif($rows['share'] == 'link')
			{
				//Set status to destroyed
				$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

				$s3->deleteObject($bucket_name, $name_on_file . '-' . $rows['upload_id'] . '.zip');
			}
		}
	}
	else
	{
		while($row = $get_file_info->fetch_assoc()) {
			$secret_file_name = $row['secret_code'] . '-' . $row['file'];
			$file_name = $row['file'];
			$file_url = $s3->getObjectUrl($bucket_name, $secret_file_name, '+1 minute');
			$file_size = $s3->get_object_filesize($bucket_name, $secret_file_name);
			
			header("Content-Type: application/octet-stream");
			header("Content-Transfer-Encoding: Binary");
			header('Content-Length: ' . $file_size);
			header("Content-disposition: attachment; filename=\"$file_name\"");

			ob_clean();
		    ob_end_flush();
		    session_write_close();

			$file = @fopen($file_url,"rb");
			while(!feof($file))
			{
				print(@fread($file, 1024*8));
				ob_flush();
				flush();
			}

			$check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
			if($check_download->num_rows == 0 && $rows['share'] == 'mail' && $download_email != '') {
				//Sending the downloaded notification email
				emailSender($message_downloaded,$downloaded_subject,$rows['email_from']);
			}

			if(!empty($download_email)) {
				$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
			}
			else
			{
				$mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
			}
			
			if($rows['destruct'] == 'YES') {
				if($rows['share'] == 'mail' && $download_email != '') {
					$get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
					$get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
					if($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
						//Set status to destroyed
						$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

						//Remove other files from files directory
						$s3->deleteObject($bucket_name, $row['secret_code'] . '-' . $row['file']);

						//Sending the destructed notification email
						emailSender($message_destruct,$destroyed_subject,$rows['email_from']);
					}
				}
				elseif($rows['share'] == 'link')
				{
					//Set status to destroyed
					$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");
					//Remove other files from files directory
					$s3->deleteObject($bucket_name, $row['secret_code'] . '-' . $row['file']);
				}
			}	
		}
	}
}
?>