<?php
require_once 'config.php';

$current_dir = basename(dirname(__FILE__));

echo '
<div class="form-panel" style="overflow:hidden;">
    <h4 class="mb"><i class="fa fa-angle-right"></i> Amazon S3 settings</h4>
    <form class="form-horizontal style-form" method="post" action="../plugins/' . $current_dir . '/action.php">
      <input type="hidden" name="action" value="settings">
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Access key</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="access_key" placeholder="Access key" value="' . $access_key . '">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Secret key</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="secret_key" placeholder="Secret key" value="' . $secret_key . '">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Bucket name</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="bucket_name" placeholder="Bucket name" value="' . $bucket_name . '">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Bucket region</label>
        <div class="col-sm-10">
          <select class="form-control" name="bucket_region">
          	<option disabled selected> -- Select region -- </option>
            <option value="REGION_IRELAND">Ireland</option>
            <option value="REGION_US_STANDARD">US-Standard</option>
            <option value="REGION_OREGON">Oregon</option>
            <option value="REGION_CALIFORNIA">California</option>
            <option value="REGION_SINGAPORE">Singapore</option>
            <option value="REGION_SYDNEY">Sydney</option>
            <option value="REGION_TOKYO">Tokyo</option>
            <option value="REGION_SAO_PAULO">Sao Paulo</option>
          </select>
        </div>
      </div>
      <div style="float: right; padding-right: 5px;">             
        <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> Save</button>
      </div>
  </form>
</div>
';
?>