<?php

require_once dirname(__FILE__) . '/config.php';

session_start();

switch ($_POST['action']) {
	case 'settings':
		$new_ftp_server         = mysqli_real_escape_string($mysqli, $_POST['ftp_server']);
		$new_ftp_username       = mysqli_real_escape_string($mysqli, $_POST['ftp_username']);
		$new_ftp_path           = mysqli_real_escape_string($mysqli, $_POST['ftp_path']);
		$new_ftp_type           = mysqli_real_escape_string($mysqli, $_POST['ftp_type']);
        $new_sftp_login         = mysqli_real_escape_string($mysqli, $_POST['sftp_login']);

        if($new_ftp_type == 'ftp') {
            $new_password = mysqli_real_escape_string($mysqli, $_POST['ftp_password']);

            $mysqli->query("UPDATE $table_ftp SET ftp_type='ftp', ftp_login='password'");

            if(!empty($new_password)) {
                $mysqli->query("UPDATE $table_ftp SET password='$new_password'");
            }
        }
        elseif($new_ftp_type == 'sftp') {
            if($new_sftp_login == 'password') {
                $new_password = mysqli_real_escape_string($mysqli, $_POST['sftp_password']);

                $mysqli->query("UPDATE $table_ftp SET ftp_type='sftp', ftp_login='password'");

                if(!empty($new_password)) {
                    $mysqli->query("UPDATE $table_ftp SET password='$new_password'");
                }
            }
            elseif($new_sftp_login == 'key') {
                $new_sftp_key = $_POST['sftp_key'];
                $new_sftp_passphrase = mysqli_real_escape_string($mysqli, $_POST['sftp_passphrase']);

                $mysqli->query("UPDATE $table_ftp SET password='', ftp_type='sftp', ftp_login='key'");

                if(!empty($new_sftp_passphrase)) {
                    $mysqli->query("UPDATE $table_ftp SET sftp_passphrase='$new_sftp_passphrase'");
                }
                if(!empty($new_sftp_key)) {
                    $mysqli->query("UPDATE $table_ftp SET sftp_key='$new_sftp_key'");
                }
            }
        }

        //Update the static values
		$mysqli->query("UPDATE $table_ftp SET server='$new_ftp_server', username='$new_ftp_username', path='$new_ftp_path'");

        header('Location: ../../admin/index.php?page=plugins');
    break;
}

if($_GET['action'] == 'delete' && isset($_SESSION['droppy_admin'])) {
	$upload_id = mysqli_real_escape_string($mysqli, $_GET['id']);

	$get_uploads = $mysqli->query("SELECT * FROM $table_uploads WHERE upload_id='$upload_id'");
	while($uploads = $get_uploads->fetch_assoc()) {

		$email_list = '<ul>';
		$get_receivers = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$upload_id'");
		while($row = $get_receivers->fetch_assoc()) {
			$email_list .= '<li>' . $row['email'] . '</li>';
		}
		$email_list .= '</ul>';

		$file_list = '<ul>';
		$get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");
		while($row = $get_files->fetch_assoc()) {
			$file_list .= '<li>' . $row['file'] . '</li>';
		}
		$file_list .= '</ul>';

        //Create FTP connection
        $ftp_conn = loginFTP();

		if($uploads['count'] > 1) {
            deleteFTP($name_on_file . '-' . $uploads['upload_id'] . '.zip',$ftp_conn);
		}
		else
		{
			$get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");
			while($files = $get_files->fetch_assoc()) {
                deleteFTP($files['secret_code'] . '-' . $files['file'], $ftp_conn);
				$mysqli->query("DELETE FROM $table_files WHERE upload_id='$upload_id'");
			}
		}
		$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$upload_id'");

		if(empty($uploads['lang'])) {
			$upload_language = $language;
		}
		else
		{
			$upload_language = $uploads['lang'];
		}
		
		$tokens = array(
		    'email_from' => $uploads['email_from'],
		    'size' => round($rows['size'] / 1048576, 2),
		    'site_name' => $site_name,
		    'upload_id' => $uploads['upload_id'],
		    'message' => $uploads['message'],
		    'total_files' => $uploads['count'],
		    'download_btn' => '<a href="' . $site_url . $upload_id . '&p=' . $private_id . '" class="btn-primary">' . $text['download'] . '</a>',
	        'download_url' => $site_url . $upload_id . '&p=' . $private_id,
	        'file_list' => $file_list,
	        'email_list' => $email_list,
	        'expire_time' => $expire,
		);

		$pattern = '{%s}';

		$map = array();
		foreach($tokens as $var => $value)
		{
		    $map[sprintf($pattern, $var)] = $value;
		}

		$message_destruct = strtr(requestTemplate('destroyed',$upload_language), $map);
		$destroyed_subject = strtr(requestTemplate('destroyed_subject',$upload_language), $map);

		//Email user
		emailSender($message_destruct,$destroyed_subject,$uploads['email_from']);

		$return = $_GET['return'];

		header('Location: ' . $return);
	}
}
?>