<?php
require_once dirname(__FILE__) . '/config.php';

if(!isset($_SESSION['droppy_admin'])) :
    echo 'Oh no ! You are not an admin, please login as admin user';
else:
    //Get current dir.
    $current_dir = basename(dirname(__FILE__));
    $thispage = "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";
?>
<style>
#buttonsNav {
  margin-left: 10px;
}
</style>

<div id="buttonsNav">
    <a id="GeneralSettings" href="<?php echo $thispage . '&p=settings'; ?>" class="btn btn-default">General settings</a>
    <a id="SubUsers" href="<?php echo $thispage . '&p=users'; ?>" class="btn btn-default">Users</a>
    <a id="Subs" href="<?php echo $thispage . '&p=subs'; ?>" class="btn btn-default">Subscriptions</a>
    <a id="Subs" href="<?php echo $thispage . '&p=addsub'; ?>" class="btn btn-default">Add user & sub</a>
    <a id="Subs" href="<?php echo $thispage . '&p=vouchers'; ?>" class="btn btn-default">Vouchers</a>
    <a id="Subs" href="<?php echo $thispage . '&p=sys'; ?>" class="btn btn-default">System setup</a>
</div>

<?php
//Check which page is requested
if($_GET['p'] == 'users') :
    //Get the page
    require_once dirname(__FILE__) . '/settings/users.php';
elseif($_GET['p'] == 'subs'):
    //Get the page
    require_once dirname(__FILE__) . '/settings/subs.php';
elseif($_GET['p'] == 'sys') :
    //Get the page
    require_once dirname(__FILE__) . '/settings/system.php';
elseif($_GET['p'] == 'addsub') :
    //Get the page
    require_once dirname(__FILE__) . '/settings/addsub.php';
elseif($_GET['p'] == 'vouchers') :
    //Get the page
    require_once dirname(__FILE__) . '/settings/vouchers.php';
else:
?>
<div class="form-panel" id="settings" style="overflow:hidden;">
    <h4 class="mb"><i class="fa fa-angle-right"></i> Subscription settings</h4>
    <form class="form-horizontal style-form" method="post" action="../plugins/<?php echo $current_dir; ?>/page/action.php">
      <input type="hidden" name="action" value="settings_general">
      <input type="hidden" name="goback" value="<?php echo $thispage; ?>">
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Username (API Paypal)</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="username_api" placeholder="Password (API Paypal)" value="<?php echo $username_api; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Password (API Paypal)</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="password_api" placeholder="Password (API Paypal)" value="<?php echo $password_api; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Signature (API PAYPAL)</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="signature_api" placeholder="Signature (Paypal API)" value="<?php echo $signature_api; ?>">
        </div>
      </div>
      <h3>Product privileges</h3>
      <p>Set the values to the same as your general settings if you want to let the premium user have the same priveleges as the normal user.</p>
      <hr>
      <?php
      $get_pm_priv = $mysqli->query("SELECT * FROM $table_pm_settings");
      while($row = $get_pm_priv->fetch_assoc()) {
        $pm_max_size  = $row['max_size'];
        $pm_password  = $row['password_enabled'];
        $pm_expire    = $row['expire_time'];
        $pm_ad        = $row['ad_enabled'];
      }
      ?>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Max upload size (Only premium)</label>
        <div class="col-sm-10">
            <input type="number" class="form-control" name="max_size" placeholder="Max upload size (Only for premium users)" value="<?php echo $pm_max_size; ?>">
            <p><i>Size in MB</i></p>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Password function enabled (Only premium)</label>
        <div class="col-sm-10">
          <select class="form-control" name="password_enabled">
            <option value="true" <?php if($pm_password == 'true') { echo 'selected'; } ?>>Allow NON premium users.</option>
            <option value="false" <?php if($pm_password == 'false') { echo 'selected'; } ?>>Block NON premium users.</option>
          </select>
          <p><i>Select if the password function should be anabled for premium users.</i></p>
        </div>  
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Expire time (Seconds) (Only for premium)</label>
        <div class="col-sm-10">
            <input type="number" class="form-control" name="expire_time" placeholder="Expire time" value="<?php echo $pm_expire; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Advertising enabled (Only premium)</label>
        <div class="col-sm-10">
          <select class="form-control" name="ad_enabled">
            <option value="true" <?php if($pm_ad == 'true') { echo 'selected'; } ?>>Yes</option>
            <option value="false" <?php if($pm_ad == 'false') { echo 'selected'; } ?>>No</option>
          </select>
          <p><i>Select if the advertising section should be shown for premium users.</i></p>
        </div>  
      </div>
      <!-- Product info -->
      <h3>Product details:</h3>
      <hr>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Paypal checkout logo</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="logo_paypal" placeholder="Your URL to your logo" value="<?php echo $logo_paypal; ?>">
            <p><i>Logo of your company/website that will be shown on the checkout page of paypal.</i></p>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Item name</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="item_name" placeholder="Item name" value="<?php echo $item_name; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Subscription description</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="subscription_description" placeholder="Subscription description" value="<?php echo $subscription_description; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Currency code</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="currency" placeholder="Currency code" value="<?php echo $currency; ?>">
            <p><i>Currrency code list <a href="https://developer.paypal.com/docs/classic/api/currency_codes/">here</a></i></p>
        </div>      
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Price</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="price" placeholder="Subscription price" value="<?php echo $subscription_price; ?>">
            <p><i>The price of the subscription.</i></p>
        </div>    
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Billing time</label>
        <div class="col-sm-10">
          <select class="form-control" name="recurring_time">
            <option value="Month" <?php if($recurring_time == 'Month') { echo 'selected'; } ?>>Month</option>
            <option value="Week" <?php if($recurring_time == 'Week') { echo 'selected'; } ?>>Week</option>
            <option value="Day" <?php if($recurring_time == 'Day') { echo 'selected'; } ?>>Day</option>
          </select>
          <p><i>Unit for billing during this subscription period.</i></p>
        </div>   
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Billing frequent</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="recurring_freq" placeholder="Recurring frequent" value="<?php echo $recurring_frequent; ?>">
            <p><i>Number of billing periods that make up one billing cycle. (See documentation for further information)</i></p>
        </div> 
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Maximum fails</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="max_fails" placeholder="Max failed payments" value="<?php echo $max_failed_payments; ?>">
             <p><i>Number of scheduled payments that can fail before the profile is automatically suspended. Set 0 to disable this feature (Subscription will continue even when payments are failed).</i></p>
        </div>
      </div>
      <!-- Email messages -->
      <h3>Email messages:</h3>
      <p>Email shortcodes can be found in the documentation</p>
      <hr>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Cancel subscription now subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="sub_cancel_n_subject" placeholder="Subject" value="<?php echo $sub_canceled_now_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Cancel subscription now text</label>
        <div class="col-sm-10">
            <textarea name="sub_cancel_n_email" class="form-control" style="height: 150px;"><?php echo $sub_canceled_now_email; ?></textarea>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Cancel subscription end subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="sub_cancel_e_subject" placeholder="Subject" value="<?php echo $sub_canceled_end_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Cancel subscription end email</label>
        <div class="col-sm-10">
            <textarea name="sub_cancel_e_email" class="form-control" style="height: 150px;"><?php echo $sub_canceled_end_email; ?></textarea>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">New subscription subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="new_sub_subject" placeholder="Subject" value="<?php echo $new_sub_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">New subscription email</label>
        <div class="col-sm-10">
            <textarea name="new_sub_email" class="form-control" style="height: 150px;"><?php echo $new_sub_email; ?></textarea>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Suspended sub subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="sus_email_sub" placeholder="Subject" value="<?php echo $suspended_email_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Suspended sub email</label>
        <div class="col-sm-10">
            <textarea name="sus_email" class="form-control" style="height: 150px;"><?php echo $suspended_email; ?></textarea>
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Payment failed subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="payment_failed_sub" placeholder="Subject" value="<?php echo $payment_failed_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Payment failed email</label>
        <div class="col-sm-10">
            <textarea name="payment_failed_email" class="form-control" style="height: 150px;"><?php echo $payment_failed_email; ?></textarea>
        </div>
      </div>

      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Password forgot subject</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" name="forgot_pass_sub" placeholder="Subject" value="<?php echo $forgot_password_subject; ?>">
        </div>
      </div>
      <div class="form-group">
        <label class="col-sm-2 col-sm-2 control-label">Password forgot email</label>
        <div class="col-sm-10">
            <textarea name="forgot_pass_email" class="form-control" style="height: 150px;"><?php echo $forgot_password_email; ?></textarea>
        </div>
      </div>
      <div style="float: right; padding-right: 5px;">             
        <button type="submit" class="btn btn-success" ><i class="fa fa-floppy-o"></i> Save</button>
      </div>
  </form>
</div>
<?php
endif;
endif;
?>