<?php

require_once dirname(__FILE__) . '/s3.php';

session_start();

switch ($_POST['action']) {
	case 'settings':
		$new_access_key = $_POST['access_key'];
		$new_secret_key = $_POST['secret_key'];
		$new_bucket_name = $_POST['bucket_name'];
		$new_bucket_region = $_POST['bucket_region'];

		if(empty($new_bucket_region)) {
			$mysqli->query("UPDATE $table_s3 SET access_key='$new_access_key', secret_key='$new_secret_key', bucket_name='$new_bucket_name'");
			header('Location: ../../admin/index.php?page=plugins');
		}
		else
		{
			$mysqli->query("UPDATE $table_s3 SET access_key='$new_access_key', secret_key='$new_secret_key', bucket_name='$new_bucket_name', bucket_region='$new_bucket_region'");
			header('Location: ../../admin/index.php?page=plugins');
		}
	break;
}

if($_GET['action'] == 'delete' && isset($_SESSION['droppy_admin'])) {
	$upload_id = mysqli_real_escape_string($mysqli, $_GET['id']);

	$get_uploads = $mysqli->query("SELECT * FROM $table_uploads WHERE upload_id='$upload_id'");
	while($uploads = $get_uploads->fetch_assoc()) {

		$email_list = '<ul>';
		$get_receivers = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$upload_id'");
		while($row = $get_receivers->fetch_assoc()) {
			$email_list .= '<li>' . $row['email'] . '</li>';
		}
		$email_list .= '</ul>';

		$file_list = '<ul>';
		$get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");
		while($row = $get_files->fetch_assoc()) {
			$file_list .= '<li>' . $row['file'] . '</li>';
		}
		$file_list .= '</ul>';

		if($uploads['count'] > 1) {
			$s3->deleteObject($bucket_name, $name_on_file . '-' . $uploads['upload_id'] . '.zip');
		}
		else
		{
			$get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");
			while($files = $get_files->fetch_assoc()) {
				$s3->deleteObject($bucket_name, $files['secret_code'] . '-' . $files['file']);
				$mysqli->query("DELETE FROM $table_files WHERE upload_id='$upload_id'");
			}
		}
		$mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$upload_id'");

		if(empty($uploads['lang'])) {
			$upload_language = $language;
		}
		else
		{
			$upload_language = $uploads['lang'];
		}
		
		$tokens = array(
		    'email_from' => $uploads['email_from'],
		    'size' => round($rows['size'] / 1048576, 2),
		    'site_name' => $site_name,
		    'upload_id' => $uploads['upload_id'],
		    'message' => $uploads['message'],
		    'total_files' => $uploads['count'],
		    'download_btn' => '<a href="' . $site_url . $upload_id . '&p=' . $private_id . '" class="btn-primary">' . $text['download'] . '</a>',
	        'download_url' => $site_url . $upload_id . '&p=' . $private_id,
	        'file_list' => $file_list,
	        'email_list' => $email_list,
	        'expire_time' => $expire,
		);

		$pattern = '{%s}';

		$map = array();
		foreach($tokens as $var => $value)
		{
		    $map[sprintf($pattern, $var)] = $value;
		}

		$message_destruct = strtr(requestTemplate('destroyed',$upload_language), $map);
		$destroyed_subject = strtr(requestTemplate('destroyed_subject',$upload_language), $map);

		//Email user
		emailSender($message_destruct,$destroyed_subject,$uploads['email_from']);

		$return = $_GET['return'];

		header('Location: ' . $return);
	}
}
?>