<?php

error_reporting(0);

//include the S3 configs
require_once dirname(__FILE__) . '/s3.php';

//Load mobile detection plugin
$detect = new Mobile_Detect;

//Create random hash
$upload_hash = md5(time() . rand());
//Inserts the upload data to the uploads table
$mysqli->query("INSERT INTO $table_uploads (upload_id, email_from, message, secret_code, password, status, size, time, time_expire, ip, count, share, destruct, lang) VALUES ('$upload_id', '$email_from', '$msg', '$upload_hash', '$pwd', 'processing', '', '$time', '$time_expire', '$ip', '', '$share', '$destruct', '$upload_language')");

//Getting some information about the files.
$total_size = array_sum($_FILES['file']['size']);
$total_files = count($_FILES['file']['tmp_name']);

$total_illegal = 0;
foreach($_FILES['file']['type'] as $filetype) {
    if(in_array($filetype, $blocked_types)) {
        $total_illegal++;
    }
}
$file_names = '<ul>';
foreach($_FILES['file']['name'] as $name_file) {
    $file_names .= '<li>' . $name_file . '</li>';
}
$file_names .= '</ul>';

if($total_illegal == 0) {
    if($total_files <= $max_upload_files || $max_upload_files == '') {
        if($total_size < $max_file_size) {
            //Checks if the share type is email and not link
            if($share == 'mail') {
                //Checks if the email from field isn't empty
                if(empty($email_from)) {
                    $response_array['fields'] = 'false'; 
                }
                else
                {
                    if($total_files > 1) {
                        foreach ($_FILES['file']['name'] as $f => $name) {
                            $hash = md5(time().rand());
                            if ($_FILES['file']['error'][$f] == 4) {
                                $response_array['upload_error'] = 'true'; 
                            }
                            if ($_FILES['file']['error'][$f] == 0) {              
                                // No error found! Move uploaded files 
                                $mysqli->query("INSERT INTO $table_files (upload_id, secret_code, file) VALUES ('$upload_id','$hash','$name')");
                                move_uploaded_file($_FILES['file']['tmp_name'][$f], '../' . $upload_dir . 'tmp/' . $hash.'-'.$name);
                                $count++; // Number of successfully uploaded files
                            }
                        }

                        $get_file_info = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");

                        //Creates the zip file
                        $ziplocation = '../' . $upload_dir . $name_on_file . '-' . $upload_id .'.zip';
                        $zipname = $name_on_file . '-' . $upload_id . '.zip'; 

                        $zip = new ZipArchive();
                        $zip->open($ziplocation, ZipArchive::CREATE);
                        while($row = $get_file_info->fetch_assoc()) {
                            $file_name = $row['file'];
                            $secret = $row['secret_code'];
                            if ( $detect->isMobile() || $detect->isTablet() ) {
                                $zip->addFile('../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name, $secret . '_' . $file_name);
                            } else {
                                $zip->addFile('../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name, $file_name);
                            }
                        }

                        $zip->close();

                        $get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");

                        //Removes the "not zipped" files from the server
                        while($row = $get_files->fetch_assoc()) {
                            $file_name = $row['file'];
                            $secret = $row['secret_code'];
                            $file_location = '../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name;
                            unlink($file_location);
                        }

                        if($this->encrypt_files == 1)
                        {
                            $response = $s3->create_object($bucket_name, $zipname, array(
                                'fileUpload' => $ziplocation,
                                'acl' => AmazonS3::ACL_PUBLIC,
                                'ServerSideEncryption' => 'AES256',
                            ));

                            $this->mysqli->query("UPDATE $this->table_uploads SET encrypt='s3' WHERE upload_id='$upload_id'");
                        }
                        else
                        {
                            $response = $s3->create_object($bucket_name, $zipname, array(
                                'fileUpload' => $ziplocation,
                                'acl' => AmazonS3::ACL_PUBLIC,
                            ));
                        }

                        if ((int) $response->isOK()) {
                            $final_size = filesize($ziplocation);
                            //Set status to "Ready"
                            $mysqli->query("UPDATE $table_uploads SET status='ready', size='$final_size', count='$total_files' WHERE upload_id='$upload_id'");
                            unlink($ziplocation); 
                        }
                    }
                    else
                    {
                        foreach ($_FILES['file']['name'] as $f => $name) {
                            $hash = md5(time().rand());
                            if ($_FILES['file']['error'][$f] == 4) {
                                $response_array['upload_error'] = 'true'; 
                            }
                            if ($_FILES['file']['error'][$f] == 0) {              
                                //No error found! Move uploaded files 
                                $mysqli->query("INSERT INTO $table_files (upload_id, secret_code, file) VALUES ('$upload_id','$hash','$name')");
                                if(move_uploaded_file($_FILES['file']['tmp_name'][$f], '../' . $upload_dir . $hash.'-'.$name)) {
                                    $response = $s3->create_object($bucket_name, $hash . '-' . $name, array(
                                        'fileUpload'=> '../' . $upload_dir . $hash.'-'.$name,
                                        'acl'=>AmazonS3::ACL_PUBLIC,
                                    ));

                                    if ((int) $response->isOK()) {
                                        $final_size = filesize('../' . $upload_dir . $hash.'-'.$name);
                                        //Setting upload status to "Ready"
                                        $mysqli->query("UPDATE $table_uploads SET status='ready', size='$final_size', count='$total_files' WHERE upload_id='$upload_id'");
                                        unlink('../' . $upload_dir . $hash.'-'.$name); 
                                    }
                                }
                                $count++; // Number of successfully uploaded files                               
                            }
                        }
                    } 

                    //Sending the email
                    if ($_FILES['file']['error'][$f] == 0) {
                        if(!empty($_POST['email_to'])) {
                            if(!empty($_POST['email_to'])) {
                                $email_list = '<ul>';
                                foreach($_POST['email_to'] as $recipient_email) {
                                    $email_list .= '<li>' . $recipient_email . '</li>';
                                }
                                $email_list .= '</ul>';

                                foreach($_POST['email_to'] as $emails_to) {
                                    if($emails_to != '' || $emails_to != null) {
                                        $private_id = substr(str_shuffle('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'), 0, 15);
                                        $mysqli->query("INSERT INTO $table_receivers (upload_id, email, private_id) VALUES ('$upload_id','$emails_to','$private_id')");
                                    }
                                    
                                    $message_receiver = requestTemplate('receiver',$upload_language); 
                                    $receiver_subject = requestTemplate('receiver_subject',$upload_language);

                                    //Shortcodes replacements
                                    $tokens = array(
                                        'email_to' => $emails_to,
                                        'email_from' => $email_from,
                                        'size' => round($total_size / 1048576, 2),
                                        'site_name' => $site_name,
                                        'upload_id' => $upload_id,
                                        'message' => nl2br($_POST['message']),
                                        'total_files' => $total_files,
                                        'expire_time' => secs_to_h($expire),
                                        'file_list' => $file_names,
                                        'password' => $password,
                                        'email_list' => $email_list,
                                        'download_btn' => '<a href="' . $site_url . $upload_id . '&p=' . $private_id . '" style="text-decoration: none;color: #FFF;background-color: #348eda;border: solid #348eda;border-width: 10px 20px;line-height: 2;font-weight: bold;margin-right: 10px;text-align: center;cursor: pointer;display: inline-block;border-radius: 25px;">' . $text['download'] . '</a>',
                                        'download_url' => $site_url . $upload_id . '&p=' . $private_id,
                                    );

                                    $pattern = '{%s}';
                                    
                                    $map = array();
                                    foreach($tokens as $var => $value)
                                    {
                                        $map[sprintf($pattern, $var)] = $value;
                                    }

                                    $message_receiver = strtr($message_receiver, $map);
                                    $receiver_subject = strtr($receiver_subject, $map);

                                    emailSender($message_receiver,$receiver_subject,$emails_to);

                                    unset($tokens);
                                }

                                //Sending the email to the sender of the file
                                
                                $tokens = array(
                                    'email_from' => $email_from,
                                    'size' => round($total_size / 1048576, 2),
                                    'site_name' => $site_name,
                                    'upload_id' => $upload_id,
                                    'message' => nl2br($_POST['message']),
                                    'total_files' => $total_files,
                                    'expire_time' => secs_to_h($expire),
                                    'password' => $password,
                                    'file_list' => $file_names,
                                    'email_list' => $email_list,
                                    'download_btn' => '<a href="' . $site_url . $upload_id . '&a=' . $upload_hash . '" style="text-decoration: none;color: #FFF;background-color: #348eda;border: solid #348eda;border-width: 10px 20px;line-height: 2;font-weight: bold;margin-right: 10px;text-align: center;cursor: pointer;display: inline-block;border-radius: 25px;">' . $text['download'] . '</a>',
                                    'download_url' => $site_url . $upload_id . '&a=' . $upload_hash,
                                );

                                $pattern = '{%s}';
                                
                                $map = array();
                                foreach($tokens as $var => $value)
                                {
                                    $map[sprintf($pattern, $var)] = $value;
                                }

                                $message_sender = strtr(requestTemplate('sender',$upload_language), $map); 
                                $sender_subject = strtr(requestTemplate('sender_subject',$upload_language), $map);

                                emailSender($message_sender,$sender_subject,$email_from);
                            }
                        }
                    }
                }
            }
            elseif($share == 'link') {
                $upload_hash = md5(time() . rand());

                if($total_files > 1) {
                    foreach ($_FILES['file']['name'] as $f => $name) {
                        $hash = md5(time().rand());
                        if ($_FILES['file']['error'][$f] == 4) {
                            $response_array['upload_error'] = 'true'; 
                        }          
                        if ($_FILES['file']['error'][$f] == 0) {              
                            // No error found! Move uploaded files 
                            $mysqli->query("INSERT INTO $table_files (upload_id, secret_code, file) VALUES ('$upload_id','$hash','$name')");
                            move_uploaded_file($_FILES['file']['tmp_name'][$f], '../' . $upload_dir . 'tmp/' . $hash.'-'.$name);
                            $count++; // Number of successfully uploaded files
                        }
                    }

                    $get_file_info = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");

                    //Creates the zip file
                    $ziplocation = '../' . $upload_dir . $name_on_file . '-' . $upload_id .'.zip';
                    $zipname = $name_on_file . '-' . $upload_id . '.zip'; 

                    $zip = new ZipArchive();
                    $zip->open($ziplocation, ZipArchive::CREATE);
                    while($row = $get_file_info->fetch_assoc()) {
                        $file_name = $row['file'];
                        $secret = $row['secret_code'];
                        if ( $detect->isMobile() || $detect->isTablet() ) {
                           $zip->addFile('../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name, $secret . '_' . $file_name);
                        } else {
                            $zip->addFile('../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name, $file_name);
                        }
                    }

                    $zip->close();

                    $get_files = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$upload_id'");

                    //Removes the "not zipped" files from the server
                    while($row = $get_files->fetch_assoc()) {
                        $file_name = $row['file'];
                        $secret = $row['secret_code'];
                        $file_location = '../' . $upload_dir . 'tmp/' . $secret . '-' . $file_name;
                        unlink($file_location);
                    }

                    $response = $s3->create_object($bucket_name, $zipname, array(
                        'fileUpload'=> $ziplocation,
                        'acl'=>AmazonS3::ACL_PUBLIC,
                    ));

                    if ((int) $response->isOK()) {
                        //Get the final file size
                        $final_size = filesize($ziplocation);
                        //Setting upload status to "Ready"
                        $mysqli->query("UPDATE $table_uploads SET status='ready', size='$final_size', count='$total_files' WHERE upload_id='$upload_id'");

                        unlink($ziplocation); 
                    }
                }
                else
                {
                    foreach ($_FILES['file']['name'] as $f => $name) {
                        $hash = md5(time().rand());
                        if ($_FILES['file']['error'][$f] == 4) {
                            $response_array['upload_error'] = 'true'; 
                        }          
                        if ($_FILES['file']['error'][$f] == 0) {              
                            // No error found! Move uploaded files 
                            $mysqli->query("INSERT INTO $table_files (upload_id, secret_code, file) VALUES ('$upload_id','$hash','$name')");
                            if(move_uploaded_file($_FILES['file']['tmp_name'][$f], '../' . $upload_dir . $hash.'-'.$name)) {
                                $response = $s3->create_object($bucket_name, $hash . '-' . $name, array(
                                    'fileUpload'=> '../' . $upload_dir . $hash.'-'.$name,
                                    'acl'=>AmazonS3::ACL_PUBLIC,
                                ));

                                if ((int) $response->isOK()) {
                                    $final_size = filesize('../' . $upload_dir . $hash.'-'.$name);
                                    //Setting upload status to "Ready"
                                    $mysqli->query("UPDATE $table_uploads SET status='ready', size='$final_size', count='$total_files' WHERE upload_id='$upload_id'");
                                    unlink('../' . $upload_dir . $hash.'-'.$name); 
                                }
                            }
                            $count++; // Number of successfully uploaded files  
                        }
                    }
                }
            }
        }
        else
        {
            $response_array['size_error'] = 'true';  
        }
    }
}
else
{
    $response_array['type_error'] = 'true';  
}
?>