<?php

require_once dirname(__FILE__) . '/config.php';

$ftp_conn = loginFTP();

ob_start();

// Check if the password has been set and if it's correct
if((isset($_POST['password']) && $rows['password'] != 'EMPTY' && $rows['password'] == md5($_POST['password'])) || $rows['password'] == 'EMPTY') {
    // Check if the file is a single file or a zip file
    if($rows['count'] > 1) {
        // Some information about the zip file.
        $zipname = $name_on_file . '-' . $download_id . '.zip';
        $ziplocation = dirname(__FILE__) . '/../../' . $upload_dir . $name_on_file . '-' . $rows['upload_id'] . '.zip';

        // Check if the file has beene encrypted, if so then decrypt it.
        if(!empty($rows['encrypt'])) {
            $encrypt = new Encrypt();

            downloadFTP($zipname,$zipname,$ftp_conn,true,$rows['encrypt']);
        }
        else
        {
            downloadFTP($zipname,$zipname,$ftp_conn,false,'');
        }

        $check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
        if($check_download->num_rows == 0 && $download_email != '') {
            //Send the download notification email
            emailSender($message_downloaded,$downloaded_subject,$rows['email_from']);
        }

        if(!empty($download_email)) {
            $mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
        }
        else
        {
            $mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
        }

        if($rows['destruct'] == 'YES') {
            if($rows['share'] == 'mail' && $download_email != '') {
                $get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
                $get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
                if($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
                    //Remove the zip file
                    deleteFTP($name_on_file . '-' . $rows['upload_id'] . '.zip',$ftp_conn);

                    //Set status to destroyed
                    $mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id' AND secret_code='$secret_code'");

                    //Send the destructed notification email
                    emailSender($message_destruct,$destroyed_subject,$rows['email_from']);
                }
            }
            elseif($rows['share'] == 'link')
            {
                //Remove the zip file
                deleteFTP($name_on_file . '-' . $rows['upload_id'] . '.zip', $ftp_conn);

                //Set status to destroyed
                $mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id' AND secret_code='$secret_code'");
            }
        }
    }
    else
    {
        //Get some info about the file.
        $get_file_info = $mysqli->query("SELECT * FROM $table_files WHERE upload_id='$download_id'");
        while ($row = $get_file_info->fetch_assoc()) {
            // Check if the file has beene encrypted, if so then decrypt it.
            if(!empty($rows['encrypt'])) {
                downloadFTP($row['secret_code'] . '-' . $row['file'],$row['file'],$ftp_conn,true,$rows['encrypt']);
            }
            else
            {
                downloadFTP($row['secret_code'] . '-' . $row['file'],$row['file'],$ftp_conn,false,'');
            }

            $check_download = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id' AND email='$download_email'");
            if ($check_download->num_rows == 0 && $rows['share'] == 'mail' && $download_email != '') {
                //Sending the downloaded notification email
                emailSender($message_downloaded, $downloaded_subject, $rows['email_from']);
            }

            if (!empty($download_email)) {
                $mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','$download_email')");
            } else {
                $mysqli->query("INSERT INTO $table_downloads (download_id, time, ip, email) VALUES ('$download_id','$time','$ip_address','')");
            }

            if ($rows['destruct'] == 'YES') {
                if ($rows['share'] == 'mail' && $download_email != '') {
                    $get_downloads_info = $mysqli->query("SELECT * FROM $table_downloads WHERE download_id='$download_id'");
                    $get_receivers_info = $mysqli->query("SELECT * FROM $table_receivers WHERE upload_id='$download_id'");
                    if ($get_downloads_info->num_rows == $get_receivers_info->num_rows) {
                        //Set status to destroyed
                        $mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

                        //Remove other files from files directory
                        deleteFTP($row['secret_code'] . '-' . $row['file'], $ftp_conn);

                        //Sending the destructed notification email
                        emailSender($message_destruct, $destroyed_subject, $rows['email_from']);
                    }
                } elseif ($rows['share'] == 'link') {
                    //Set status to destroyed
                    $mysqli->query("UPDATE $table_uploads SET status='destroyed' WHERE upload_id='$download_id'");

                    deleteFTP($row['secret_code'] . '-' . $row['file'], $ftp_conn);
                }
            }
        }
    }
}
else
{
    if(isset($download_email)) {
        header("Location: ../../" . $download_id . "&m=" . $download_email . "&e=wrong");
    }
    else
    {
        header("Location: ../../" . $download_id . "&e=wrong");
    }
}
?>