<?php
/*
Automatic plugin installer for Droppy premium plugin by Proxibolt
For support go to http://support.proxibolt.com
*/

$plugin_install = true;

require_once dirname(__FILE__) . '/../../config/config.php';
require_once dirname(__FILE__) . '/config.php';
require_once dirname(__FILE__) . '/plugin.php';

$plugin_dir = basename(dirname(__FILE__)) . '/';

$mysqli->query("INSERT INTO $table_plugins (name,path,status,version) VALUES ('$plugin_name','$plugin_dir','ready','$plugin_version')");

$logo_location = 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']) . '/page/assets/images/logo_droppy.png';

$mysqli->query("CREATE TABLE `$table_pm_settings` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `item_name` varchar(200) NULL,
  `subscription_desc` varchar(500) NULL,
  `currency` varchar(500) NULL,
  `sub_price` varchar(100) NULL,
  `recur_time` varchar(100) NULL,
  `recur_freq` int(100) NULL,
  `max_fails` int(100) NULL,
  `max_size` int(100) NULL,
  `password_enabled` varchar(100) NULL,
  `expire_time` int(100) NULL,
  `ad_enabled` varchar(100) NULL,
  `username_api` varchar(200) NULL,
  `password_api` varchar(200) NULL,
  `signature_api` varchar(200) NULL,
  `logo_url` varchar(200) NULL,
  `sub_cancel_n_subject` text NULL,
  `sub_cancel_n_email` text NULL,
  `sub_cancel_e_subject` text NULL,
  `sub_cancel_e_email` text NULL,
  `new_sub_subject` text NULL,
  `new_sub_email` text NULL,
  `sus_email_sub` text NULL,
  `sus_email` text NULL,
  `payment_failed_sub` text NULL,
  `payment_failed_email` text NULL,
  `forgot_pass_subject` text NULL,
  `forgot_pass_email` text NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

$mysqli->query("INSERT INTO `$table_pm_settings` (`item_name`, `subscription_desc`, `currency`, `sub_price`, `recur_time`, `recur_freq`, `max_fails`, `max_size`, `password_enabled`, `expire_time`, `ad_enabled`, `username_api`, `password_api`, `signature_api`, `logo_url`, `sub_cancel_n_subject`, `sub_cancel_n_email`, `sub_cancel_e_subject`, `sub_cancel_e_email`, `new_sub_subject`, `new_sub_email`, `sus_email_sub`, `sus_email`, `payment_failed_sub`, `payment_failed_email`, `forgot_pass_subject`, `forgot_pass_email`) VALUES
('Premium package', 'Premium plan subscription to Droppy - Online file sharing', 'USD', '5', 'Month', 1, 1, 5120, 'true', 604800, 'false', '', '', '', '$logo_location', '<p>Hello {name},</p><br>\nThis is an email to let you know that your subscription ( {sub_id} ) has been canceled. Please go this <a href=\"{manage_page}\">page</a> to register a new subscription.<br><br>\nPlease let us know if we can be of any further assistance.<br><br>\nBest regards,<br>\nCompany', 'Hello {name},\r\n\r\nThis is an email to let you know that your subscription ( {sub_id} ) has been canceled. Please go this <a href=\"{manage_page}\">page</a> to register a new subscription.\r\n\r\nPlease let us know if we can be of any further assistance.\r\n\r\nBest regards,\r\nCompany', 'Your subscription has been canceled', '<p>Hello {name},</p><br>\r\n<p>This is an email to let you know that your subscription ( {sub_id} ) has been canceled. We will not charge you anymore, you can still use our service till {next_date}</p>\r\n<p>Please go this <a href=\"{manage_page}\">page</a> if you want to register a new subscription.</p><bR>\r\n<p>Please let us know if we can be of any further assistance.</p><br>\r\nBest regards,<br>\r\nCompany', 'Welcome to the Premium world !', '<p>Hello {name},</p><br>\r\n<p>We have successfully received your registration and you will now be able to login <a href=\"{manage_page}\">here</a></p><br>\r\n<p><strong>Registration details:</strong><p><br>\r\n<p><strong>Subscription id:</strong> {sub_id}</p>\r\n<p><strong>Paypal ID:</strong> {paypal_id}</p>\r\n<p><strong>E-Mail:</strong> {email}</p>\r\n<p><strong>Checkout:</strong> {payment}</p>\r\n<p><strong>Name:</strong> {name}</p>\r\n<p><strong>Company:</strong> {company}</p>\r\n<p><strong>Next pay day:</strong> {next_date}</p><br>\r\n<p>Please let us know if we can be of any further assistance.</p><br>\r\n<p>Best regards,<br>\r\nCompany</p>', 'Subscription has been suspended', '<p>Hello {name},</p><br> <p>We would like to let you know that your account/subscription ({sub_id}) has been suspended. Please check your recurring profile ({paypal_id}) at Paypal, you probably have one or more outstanding payments.</p><br> <p>Please let us know if we can be of any assistance</p><br> <p>Best regards,<br> Company</p>', 'Received a failed payment', '<p>Hello {name},</p><br> <p>We would like to let you know that your account/subscription ({sub_id}) has received a <strong>failed/skipped</strong> payment. Please check your recurring profile ({paypal_id}) at Paypal and fix this as soon as possible.</p><br> <p>Please let us know if we can be of any assistance</p><br> <p>Best regards,<br> Company</p>', 'Your password reset', 'Hello,\r\n\r\nThank you for using our service, we have received a request to change your password.\r\nYou can change the password with the following URL mentioned below.\r\n\r\n{reset_url}\r\n\r\nYou can just ignore this email if you did not requested this.\r\n\r\nBest regards,\r\nCompany');");

$mysqli->query("CREATE TABLE `$table_pm_forgot` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(200) NOT NULL,
  `reset` varchar(300) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

$mysqli->query("CREATE TABLE `$table_pm_subs` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `sub_id` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `name` varchar(200) NOT NULL,
  `company` varchar(200) NOT NULL,
  `payment` varchar(100) NOT NULL,
  `last_date` varchar(200) NOT NULL,
  `next_date` varchar(200) NOT NULL,
  `time` int(100) NOT NULL,
  `status` varchar(100) NOT NULL,
  `paypal_token` varchar(200) NULL,
  `paypal_id` varchar(200) NULL,
  `paypal_payerid` varchar(200) NULL,
  `paypal_email` varchar(200) NULL,
  `paypal_status` varchar(100) NULL,
  `paypal_name` varchar(200) NULL,
  `paypal_country` varchar(200) NULL,
  `paypal_phone` varchar(100) NULL,
  `paypal_ordertime` varchar(200) NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

$mysqli->query("CREATE TABLE `$table_pm_users` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `email` varchar(200) NOT NULL,
  `password` varchar(200) NOT NULL,
  `ip` varchar(100) NOT NULL,
  `sub_id` varchar(200) NOT NULL,
  `status` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

$mysqli->query("INSERT INTO `$table_pages` (`type`, `title`, `parent`, `path`, `custom_html`) VALUES
('tab', 'tab_go_premium', '0', '', 'href=\"index.php?page=Premium\" target=\"_blank\" title=\"Premium page\"'),
('page', '', 'Premium', 'plugins/droppy_premium/page/index.php', ''),
('tab', 'tab_my_uploads', '0', '', 'id=\"customTab_Uploads\" onclick=\"openInlinePage(this.id);\"'),
('tab_body', '', 'Uploads', 'plugins/droppy_premium/page/uploads.php', ''),
('tab', 'tab_my_account', '0', '', 'id=\"customTab_Acc\" onclick=\"openInlinePage(this.id);\"'),
('tab_body', '', 'Acc', 'plugins/droppy_premium/page/login.php', ''),
('tab', 'tab_logout', '0', '', 'href=\"src/action.php?action=logout\"');");

$mysqli->query("ALTER TABLE `$table_uploads` ADD `pm_email` VARCHAR(200) NULL");

$mysqli->query("CREATE TABLE `$table_pm_vouchers` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `code` varchar(100) DEFAULT NULL,
  `discount_type` varchar(20) DEFAULT NULL,
  `discount_value` int(10) DEFAULT NULL,
  `discount_percentage` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");

header('Location: ../../admin/index.php?page=plugins&install=ok');
?>