<?php
//Getting php files
require_once dirname(__FILE__) . '/../../../config.php';
require_once 'paypalfunctions.php';

//Getting the time in LA (California) (Paypal Timezone)
date_default_timezone_set('America/Los_Angeles');

$get_info = $mysqli->query("SELECT * FROM $table_pm_subs WHERE status='ready' OR status='suspended' OR status='canceled_end'");
while($row = $get_info->fetch_assoc()) {
	$sub_id		= $row['sub_id'];
	$next_date 	= $row['next_date'];
	$last_date 	= $row['last_date'];
	$paypal_id 	= $row['paypal_id'];

	if(time() + 86400 > $next_date) {
      	$mysqli->query("UPDATE $table_pm_subs SET status='canceled' WHERE sub_id='$sub_id'");
      	$get_user = $mysqli->query("SELECT * FROM $table_pm_users WHERE sub_id='$sub_id'");
      	while($user = $get_user->fetch_assoc()) {
      		$user_email = $user['email'];
      		change_subscription_status($paypal_id,'Cancel','now');

      		$tokens = array(
	            'next_date'     => date("Y-m-d", $row['next_date']),
	            'paypal_id'     => $row['paypal_id'],
	            'last_date'     => date("Y-m-d", $row['last_date']),
	            'name'          => $row['name'],
	            'status'        => $row['status'],
	            'company'       => $row['company'],
	            'sub_id'        => $row['sub_id'],
	            'manage_page'   => $site_url . 'index.php?goto=customTab_Acc'
	        );

	        $pattern = '{%s}';
	        
	        $map = array();
	        foreach($tokens as $var => $value)
	        {
	            $map[sprintf($pattern, $var)] = $value;
	        }

	        $email_message = strtr($sub_canceled_now_email, $map);
	        sendSubMail($row['email'], $email_message, $sub_canceled_now_subject);

      		logPaypal('[cron_suspend] Subscription ('.$sub_id.') has been canceled, the latest payment was not received.');
      		logPaypal('[cron_suspend] User ('.$user_email.') has been canceled, the latest payment was not received.');
      	}
	}

	if($row['status'] == 'suspended' && $row['next_date'] + $cancel_suspend > time() || $row['status'] == 'suspended_reversal' && $row['next_date'] + $cancel_suspend > time()) {
		$mysqli->query("UPDATE $table_pm_subs SET status='canceled' WHERE sub_id='$sub_id'");
		change_subscription_status($paypal_id,'Cancel','now');
		logPaypal('[suspended_removal] Subscription ('.$sub_id.') has been canceled because it has been suspended for longer than 1 week.');
	}
}
?>