<?php
//Getting current address
function getAddress() {
	global $site_url;

    $url = $site_url . 'page/' . $_GET['page'];
    return $url;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport"    content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author"      content="Proxibolt (http://proxibolt.com)">

    <!-- Set base url -->
    <base href="<?php echo $site_url; ?>plugins/<?php echo $premium_dir; ?>">

	<title><?php echo $site_title; ?> - <?php echo $trans['go_pro']; ?></title>

	<link rel="shortcut icon" href="assets/images/gt_favicon.png">
	
	<link rel="shortcut icon" type="image/png" href="<?php echo $favicon_path; ?>"/>

	<!-- Bootstrap itself -->
	<link href="//netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<!-- Icons -->
	<link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet"> 
	<!-- Fonts -->
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,700"> 
	<!-- Custom styles -->
	<link rel="stylesheet" href="page/assets/css/styles.css">

	<!--[if lt IE 9]> <script src="assets/js/html5shiv.js"></script> <![endif]-->
</head>

<body>
<?php
if(isset($_GET['payment'])) {
	if($_GET['payment'] == 'canceled_user') {
		echo '<div class="alert alert-warning" role="alert" style="text-align: center; margin-bottom: 0;">' . $trans['canceled_payment'] . '</div>';
	}
	if($_GET['payment'] == 'pending') {
		echo '<div class="alert alert-warning" role="alert" style="text-align: center; margin-bottom: 0;">' . $trans['pending_payment'] . '</div>';
	}
	if($_GET['payment'] == 'reverse') {
		echo '<div class="alert alert-warning" role="alert" style="text-align: center; margin-bottom: 0;">' . $trans['reverse_payment'] . '</div>';
	}
	if($_GET['payment'] == 'created') {
		echo '<div class="alert alert-warning" role="alert" style="text-align: center; margin-bottom: 0;">' . $trans['received_payment'] . '</div>';
	}
}
?>
<!-- Header -->
<header class="header">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 col-lg-push-2 text-center">
				<h1><?php echo $trans['go_pro']; ?></h1>
				<p class="lead">
					<?php echo $trans['intro_text']; ?>
				</p>
				
				<p><?php echo $trans['register_intro']; ?></p>
				<br>
				<a href="<?php echo getAddress(); ?>#footer" class="btn btn-info" style="color: #FFF;"><?php echo $trans['register']; ?></a>
			</div>
		</div>
		<div class="row" style="margin-top: 50px;">
			<div class="col-lg-12">
				<img src="page/assets/images/screen_intro.png" alt="Intro screenshot" style="width: 100%;">
			</div>
		</div>
	</div>
</header>
<!-- /Header -->
	

<!-- Content -->
<main class="content">
	<!-- Features -->
	<section class="container space-before">
		
		<div class="row featurelist space-after">
			<div class="col-md-5 col-sm-6 col-md-push-1 ">
				<img class="img-feature img-responsive" src="page/assets/images/screen1.png" alt="Image 1">
			</div>
			<div class="col-md-5 col-md-push-1 col-sm-6">
				<h2 class="space-before"><?php echo $trans['larger_uploads_title']; ?></h2>
				<p><?php echo $trans['larger_uploads_text']; ?></p>
			</div>
		</div>

		<div class="row featurelist space-after">
			<div class="col-md-5 col-sm-6 col-sm-push-6">
				<img class="img-feature img-responsive" src="page/assets/images/screen2.png" alt="Image 2">
			</div>
			<div class="col-md-5 col-sm-6 col-md-pull-4 col-sm-pull-6">
				<h2 class="space-before"><?php echo $trans['longer_storage_title']; ?></h2>
				<p><?php echo $trans['longer_storage_text']; ?></p>
			</div>
		</div>

		<div class="row featurelist space-after">
			<div class="col-md-5 col-sm-6 col-md-push-1 col-sm-6">
				<img class="img-feature img-responsive" src="page/assets/images/screen3.png" alt="Image 3">
			</div>
			<div class="col-md-5 col-md-push-1 col-sm-6">
				<h2 class="space-before"><?php echo $trans['password_title']; ?></h2>
				<p><?php echo $trans['password_text']; ?></p>
			</div>
		</div>
	</section>
	<!-- /Features -->

</main>

<?php
if(isset($_GET['manage']) && isset($_SESSION['droppy_premium'])) :
	$sub_id = mysqli_real_escape_string($mysqli, $_GET['manage']);
	$session_email = $_SESSION['droppy_premium'];
	$get_info = $mysqli->query("SELECT * FROM $table_pm_users WHERE sub_id='$sub_id' AND email='$session_email'");
	while($row = $get_info->fetch_assoc()) {
		$email = $row['email'];
	}
	if($get_info->num_rows > 0):
	?>
	<footer id="footer" class="jumbotron">
		<section class="container">
			<div class="row">
				<div class="registerDiv">
					<div id="errors"></div>
					<span class="premiumHeader"><?php echo $trans['create_new_sub']; ?></span><br>
					<span class="premiumHeaderSmall"><?php echo $trans['no_subscription']; ?></span>	
					<form role="form" method="POST" id="addSubFrom" class="registerForm" action="page/action.php">
						<input type="hidden" name="action" value="add_sub">
						<input type="hidden" name="rd" value="<?php echo getAddress(); ?>">
						<input type="hidden" name="sub_id" value="<?php echo $sub_id; ?>">
						<div class="form-group">
							<input type="text" class="form-control input-lg registerInput" value="<?php echo $email; ?>" readonly>
							<br>
							<h3><?php echo $trans['pers_details']; ?>:</h3>
							<input type="text" class="form-control input-lg registerInput" name="name" id="name" placeholder="<?php echo $trans['fullname']; ?>" required="required">
							<input type="text" class="form-control input-lg registerInput" name="company" id="company" placeholder="<?php echo $trans['company']; ?>">
                            <input type="text" class="form-control input-lg registerInput" name="voucher" id="voucher" placeholder="<?php echo $trans['voucher']; ?>">
							<div class="termsAgree">
								<input type="checkbox" name="terms" id="terms" value="true" required="required"> <?php echo $trans['agree_terms']; ?>
							</div>
							<input type="hidden" name="payment" value="paypal">
						</div>
						<div class="registerSubmit">
							<button type="button" id="submitAddSub" class="btn btn-lg btn-info"><?php echo $trans['checkout']; ?></button>
						</div>
					</form>
				</div>
			</div>
		</section>
	</footer>
	<?php
	endif;
else:
?>
<footer id="footer" class="jumbotron">
	<section class="container">
		<div class="row">
			<div class="registerDiv">
				<div id="errors"></div>
				<span class="premiumHeader"><?php echo $trans['go_pro_now']; ?></span><br>
				<span class="premiumHeaderSmall"><?php echo $trans['go_pro_now_sub']; ?></span>	
				<form role="form" method="POST" id="paymentForm" class="registerForm" action="page/action.php">
					<input type="hidden" name="action" value="register">
					<input type="hidden" name="rd" value="<?php echo getAddress(); ?>">
					<div class="form-group">
						<h3><?php echo $trans['login_details']; ?>:</h3>
						<input type="text" class="form-control input-lg registerInput" name="email" id="email" placeholder="<?php echo $trans['your_email']; ?>" required="required">
						<input type="password" class="form-control input-lg registerInput" name="password" id="password" placeholder="<?php echo $trans['password']; ?>" required="required">
						<input type="password" class="form-control input-lg registerInput" name="re_password" id="re_password" placeholder="<?php echo $trans['password_re']; ?>" required="required">
						<br>
						<h3><?php echo $trans['pers_details']; ?>:</h3>
						<input type="text" class="form-control input-lg registerInput" name="name" id="name" placeholder="<?php echo $trans['fullname']; ?>" required="required">
						<input type="text" class="form-control input-lg registerInput" name="company" id="company" placeholder="<?php echo $trans['company']; ?>">
                        <input type="text" class="form-control input-lg registerInput" name="voucher" id="voucher" placeholder="<?php echo $trans['voucher']; ?>">
						<div class="termsAgree">
							<input type="checkbox" name="terms" id="terms" value="true" required="required"> <?php echo $trans['agree_terms']; ?>
						</div>
						<input type="hidden" name="payment" value="paypal">
					</div>
					<div id="paymentFooter">
						<img src="page/assets/images/paypal.png" alt="paypal" style="float: left; width: 160px;">
						<button type="button" id="submitPayment" class="btn btn-lg btn-info" style="float: right;"><?php echo $trans['register']; ?></button>
					</div>
				</form>
			</div>
		</div>
	</section>
</footer>
<?php
endif;
?>

<p class="small text-muted text-center">Copyright &copy; <?php echo date("Y"); ?>, Proxibolt.</p>
<br>
<!-- JavaScript libs are placed at the end of the document so the pages load faster -->
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script src="page/assets/js/template.js"></script>
<script>
//Validating and submitting form data
$(document).ready( function() {
	$('body').on('click', '#submitPayment', function() {
		$('#submitPayment').text('<?php echo $trans['processing']; ?>');
		var email 	= document.getElementById('email').value;
		var pass 	= document.getElementById('password').value;
		var re_pass = document.getElementById('re_password').value;
		var name	= document.getElementById('name').value;
		var terms 	= document.getElementById('terms');
        var voucher = document.getElementById('voucher').value;

		if(email == '' || email == null || pass == '' || pass == null || re_pass == '' || re_pass == null || name == '' || name == null || !terms.checked) 
		{
			$('#submitPayment').text('<?php echo $trans['register']; ?>');
			document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['fill_fields']; ?></div>';
		}
		else
		{
			//Data that will be post to the php file to check if the email already exists in the database
			var dataString = 'action=check_email&email='+email;

			//Ajax post
			$.ajax({  
				type: "POST",  
				url: "page/action.php",
				data: dataString, 
				success: function(return_data) {  
				    //When the email does not exists
					if(return_data == 1) 
					{
                        if(voucher == '') {
                            //If the password is shorter than 6 characters
                            if (pass.length < 6) {
                                $('#submitPayment').text('<?php echo $trans['register']; ?>');
                                document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['password_longer']; ?></div>';
                            }
                            else {
                                //If the passwords are the same
                                if (pass == re_pass) {
                                    //Submit form
                                    document.getElementById('paymentForm').submit();
                                }
                                else {
                                    $('#submitPayment').text('<?php echo $trans['register']; ?>');
                                    document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['password_match']; ?></div>';
                                }
                            }
                        }
                        else if(voucher != '') {
                            var dataString = 'action=check_voucher&voucher='+voucher;
                            $.ajax({
                                type: "POST",
                                url: "page/action.php",
                                data: dataString,
                                success: function (return_data) {
                                    //When the email does not exists
                                    if(return_data == 1) {
                                        //If the password is shorter than 6 characters
                                        if (pass.length < 6) {
                                            $('#submitPayment').text('<?php echo $trans['register']; ?>');
                                            document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['password_longer']; ?></div>';
                                        }
                                        else {
                                            //If the passwords are the same
                                            if (pass == re_pass) {
                                                //Submit form
                                                document.getElementById('paymentForm').submit();
                                            }
                                            else {
                                                $('#submitPayment').text('<?php echo $trans['register']; ?>');
                                                document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['password_match']; ?></div>';
                                            }
                                        }
                                    }
                                    else
                                    {
                                        $('#submitPayment').text('<?php echo $trans['register']; ?>');
                                        document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['invalid_voucher']; ?></div>';
                                    }
                                }
                            });
                        }
					}
					if(return_data == 2)
					{
						$('#submitPayment').text('<?php echo $trans['register']; ?>');
						document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['email_exists']; ?></div>';
					}
					if(return_data == 3)
					{
						$('#submitPayment').text('<?php echo $trans['register']; ?>');
						document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['invalid_email']; ?></div>';
					}
				}  
			});
		}		
	});
});
$(document).ready( function() {
	$('body').on('click', '#submitAddSub', function() {
		$('#submitAddSub').text('<?php echo $trans['processing']; ?>');
		var name	= document.getElementById('name').value;
		var terms 	= document.getElementById('terms');

		if(name == '' || name == null || !terms.checked) 
		{
			$('#submitAddSub').text('<?php echo $trans['checkout']; ?>');
			document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['fill_fields']; ?></div>';
		}
		else
		{
			document.getElementById('addSubFrom').submit();
		}		
	});
});
</script>

</body>
</html>