<script>
	//Validating and submitting form data
	$(document).ready( function() {
		$('body').on('click', '#submitLogin', function() {
			var email 	= document.getElementById('email').value;
			var pass 	= document.getElementById('pwd').value;

			if(email == '' || email == null || pass == '' || pass == null) 
			{
				document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $text['fill_fields']; ?></div>';
			}
			else
			{
				//Data that will be post to the php file to check if the email already exists in the database
				var dataString = 'action=login&email='+email+'&password='+pass; 
				//Ajax post
				$.ajax({  
					type: "POST",  
					url: "plugins/<?php echo $premium_dir; ?>page/action.php",
					data: dataString, 
					success: function(return_data) {  
					    //When the email does not exists
						if(return_data == 1) 
						{	
							window.location = 'index.php?goto=customTab_Acc';
						}
						if(return_data == 2) 
						{
							document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['account_suspended']; ?></div>';
						}
						if(return_data == 0) 
						{
							document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $text['invalid_login']; ?></div>';
						}
					}  
				});
			}		
		});
		$('body').on('click', '#submitForgot', function() {
			var email 	= document.getElementById('email_forgot').value;

			if(email == '' || email == null) 
			{
				document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $text['fill_fields']; ?></div>';
			}
			else
			{
				//Data that will be post to the php file to check if the email already exists in the database
				var dataString = 'action=forgot&email='+email;
				//Ajax post
				$.ajax({  
					type: "POST",  
					url: "plugins/<?php echo $premium_dir; ?>page/action.php",
					data: dataString, 
					success: function(return_data) {  
					    //When the email does not exists
						if(return_data == 1) 
						{
							document.getElementById('email_forgot').value = '';
							document.getElementById('errors').innerHTML = '<div class="alert alert-success" role="alert" style="text-align: center;"><?php echo $trans['email_sent']; ?></div>';
						}
						if(return_data == 0) 
						{
							document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['email_not_exists']; ?></div>';
						}
					}  
				});
			}		
		});
		$('body').on('click', '#submitReset', function() {
			var pass1 		= document.getElementById('password1').value;
			var pass2 		= document.getElementById('password2').value;
			var reset_code 	= document.getElementById('reset_code').value;

			if(pass1 == '' || pass1 == null || pass2 == '' || pass2 == null) 
			{
				document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $text['fill_fields']; ?></div>';
			}
			else
			{
				if(pass1 == pass2) {
					var dataString = 'action=reset_pass&pass1='+pass1+'&pass2='+pass2+'&reset='+reset_code; 
					$.ajax({  
						type: "POST",  
						url: "plugins/<?php echo $premium_dir; ?>page/action.php",
						data: dataString, 
						success: function(return_data) {  
						    //When the email does not exists
							if(return_data == 1) 
							{
								window.location.href = "index.php?goto=customTab_Acc&error=<?php echo $trans['pass_changed']; ?>";
							}
							if(return_data == 0) 
							{
								document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['something_wrong']; ?></div>';
							}
						}  
					});
				}
				else
				{
					document.getElementById('errors').innerHTML = '<div class="alert alert-warning" role="alert" style="text-align: center;"><?php echo $trans['pass_same']; ?></div>';
				}
			}		
		});
		$('body').on('click', '#submitDetailsChange', function() {
			var email 	= document.getElementById('email').value;
			var pass 	= document.getElementById('pwd').value;
			var name 	= document.getElementById('name').value;
			var company	= document.getElementById('company').value;
			var subid	= document.getElementById('sub_id').value;

			if(email == '' || email == null || name == '' || name == null || subid == '' || subid == null) 
			{
				document.getElementById('errorsOther').innerHTML = '<p style="color: red;"><?php echo $text['fill_fields']; ?></p>';
			}
			else
			{
				//Data that will be post to the php file to check if the email already exists in the database
				var dataString = 'action=change_details&email='+email+'&password='+pass+'&name='+name+'&company='+company+'&sub_id='+subid; 
				//Ajax post
				$.ajax({  
					type: "POST",  
					url: "plugins/<?php echo $premium_dir; ?>page/action.php",
					data: dataString, 
					success: function(return_data) {  
					    //When the email does not exists
						if(return_data == 1) 
						{	
							document.getElementById('pwd').value = '';
							document.getElementById('emailFrom').value = email;
							document.getElementById('errorsOther').innerHTML = '<p style="color: green;"><?php echo $trans['info_changed']; ?></p>';
						}
						if(return_data == 2) 
						{	
							document.getElementById('errorsOther').innerHTML = '<p style="color: red;"><?php echo $trans['email_exists']; ?></p>';
						}
						if(return_data == 3) 
						{	
							document.getElementById('errorsOther').innerHTML = '<p style="color: red;"><?php echo $text['fill_fields']; ?></p>';
						}
					}  
				});
			}		
		});
		$('body').on('click', '#openForgot', function() {
			document.getElementById('loginDiv').style.display = 'none';
			document.getElementById('forgotDiv').style.display = 'block';
		});
		$('body').on('click', '#openLogin', function() {
			document.getElementById('loginDiv').style.display = 'block';
			document.getElementById('forgotDiv').style.display = 'none';
		});
	});
</script>
<?php
if(isset($_GET['error'])) :
?>
		<div id="errors"><div class="alert alert-info" role="alert" style="text-align: center;"><?php echo $_GET['error'] ?></div></div>
	<?php
	else:
	?>
		<div id="errors"></div>
<?php
endif;
if(isset($_SESSION['droppy_premium']) || $_SESSION['droppy_premium_suspend']) :
	if(isset($_SESSION['droppy_premium_suspend'])) {
		$email = $_SESSION['droppy_premium_suspend'];
	}
	if(isset($_SESSION['droppy_premium'])) {
		$email = $_SESSION['droppy_premium'];
	}
	$get_info = $mysqli->query("SELECT * FROM $table_pm_subs WHERE sub_id=(SELECT sub_id FROM $table_pm_users WHERE email='$email');");
	while($row = $get_info->fetch_assoc()) {
		$sub_id 		= $row['sub_id'];
		$name 			= $row['name'];
		$company 		= $row['company'];
		$payment 		= $row['payment'];
		$paypal_id 		= $row['paypal_id'];
		$sub_status		= $row['status'];
		$next_payment 	= $row['next_date'];
	}
?>
<style>
#table_value {
	padding-left: 20px;
}
#submitDetailsChange {
	float: right;
}
#submitNewSub {
	float: right;
}
</style>
<?php
if($sub_status == 'suspended') :
?>
<p><?php echo $trans['hi'] . ' ' . $name; ?></p>
<hr>
<h4><?php echo $trans['your_sub_details']; ?>:</h4>
<table>
	<tr>
		<td><strong><?php echo $trans['account_status']; ?>:</strong></td>
		<td id="table_value"><?php echo $sub_status; ?></td>
	</tr>
	<tr>
		<td><strong><?php echo $trans['cancel_sub']; ?>:</strong></td>
		<td id="table_value"><a class="btn btn-default btn-xs" href="plugins/<?php echo $premium_dir; ?>page/action.php?action=paypal_cancel&id=<?php echo $sub_id; ?>"><?php echo $trans['cancel']; ?></a></td>
	</tr>
</table>
<p style="font-size: 12px;"><?php echo $trans['cancel_sus_text']; ?></p>
<?php
elseif($sub_status == 'canceled') :
?>
<h4><?php echo $trans['no_sub_found']; ?></h4>
<p><?php echo $trans['no_subscription']; ?></p><br>
<a class="btn btn-default btn-xs" href="?page=Premium&manage=<?php echo $sub_id; ?>#footer"><?php echo $trans['create_new_sub']; ?></a>
<?php
elseif($sub_status == 'active' || $sub_status == 'canceled_end') :
?>
<p><?php echo $trans['hi'] . ' ' . $name; ?></p>
<hr>
<h4><?php echo $trans['your_sub_details']; ?>:</h4>
<table>
	<tr>
		<td><strong><?php echo $trans['account_status']; ?>:</strong></td>
		<td id="table_value"><?php echo $sub_status; ?></td>
	</tr>
	<tr>
		<td><strong><?php echo $trans['payment_type']; ?>:</strong></td>
		<td id="table_value"><?php echo $payment; ?></td>
	</tr>
	<tr>
		<td><strong>Paypal ID:</strong></td>
		<td id="table_value"><?php echo $paypal_id; ?></td>
	</tr>
	<tr>
		<td><strong><?php echo $trans['next_pay_date']; ?>:</strong></td>
		<td id="table_value"><?php echo date("Y-m-d", $next_payment); ?></td>
	</tr>
	<?php
	if($sub_status == 'canceled_end') :
	?>
	<tr>
		<td><strong><?php echo $trans['cancel_sub']; ?>:</strong></td>
		<td id="table_value"><?php echo $trans['canceled_on_date'] . ' ' . date("Y-m-d", $next_payment); ?></td>
	</tr>
	<?php
	else:
	?>
	<tr>
		<td><strong><?php echo $trans['cancel_sub']; ?>:</strong></td>
		<td id="table_value"><a class="btn btn-default btn-xs" href="plugins/<?php echo $premium_dir; ?>page/action.php?action=paypal_cancel&type=end&id=<?php echo $sub_id; ?>"><?php echo $trans['cancel']; ?></a></td>
	</tr>
	<?php
	endif;
	?>
</table>
<hr>
<h4><?php echo $trans['other_details']; ?>:</h4>
<div id="errorsOther"></div>
<form role="form">
  <input type="hidden" id="sub_id" value="<?php echo $sub_id; ?>">
  <div class="form-group">
    <label for="email"><?php echo $text['email']; ?>:</label>
    <input type="email" class="form-control input-sm" id="email" placeholder="<?php echo $text['enter_own_email']; ?>" value="<?php echo $email; ?>">
  </div>
  <div class="form-group">
    <label for="pwd"><?php echo $text['password']; ?>:</label>
    <input type="password" class="form-control input-sm" id="pwd" placeholder="<?php echo $text['password']; ?>">
  </div>
  <div class="form-group">
    <label for="pwd"><?php echo $trans['fullname']; ?>:</label>
    <input type="text" class="form-control input-sm" id="name" placeholder="<?php echo $trans['fullname']; ?>" value="<?php echo $name; ?>">
  </div>
  <div class="form-group">
    <label for="pwd"><?php echo $trans['company']; ?>:</label>
    <input type="text" class="form-control input-sm" id="company" placeholder="<?php echo $trans['company']; ?>" value="<?php echo $company; ?>">
  </div>
  <button type="button" id="submitDetailsChange" class="btn btn-default btn-sm"><?php echo $text['save']; ?></button>
</form>
<?php
endif;
else:
?>
	<style>
	#submitLogin {
		float: right;
	}
	#submitForgot {
		float: right;
	}
	#forgotDiv {
		margin-top: 90px;
		display: none;
	}
	#loginDiv {
		margin-top: 70px;
	}
	#submitReset {
		float: right;
	}
	.openForm {
		font-size: 13px;
		padding-left: 3px;
	}
	</style>
	<?php
	if(isset($_GET['reset'])) :
	?>
	<div class="loginDiv" id="loginDiv">
		<form role="form">
			<input type="hidden" name="reset_code" id="reset_code" value="<?php echo $_GET['reset']; ?>">
		  	<div class="form-group">
		    	<label for="pwd"><?php echo $text['password']; ?>:</label>
		    	<input type="password" class="form-control" id="password1" placeholder="<?php echo $text['password']; ?>">
		  	</div>
		  	<div class="form-group">
		    	<label for="pwd"><?php echo $trans['password_re']; ?>:</label>
		    	<input type="password" class="form-control" id="password2" placeholder="<?php echo $trans['password_re']; ?>">
		  	</div>
		  	<button type="button" id="submitReset" class="btn btn-default"><?php echo $trans['submit']; ?></button>
		</form>
	</div>
	<?php
	else:
	?>
	<div class="loginDiv" id="loginDiv">
		<form role="form">
		  	<div class="form-group">
		    	<label for="email"><?php echo $text['email']; ?>:</label>
		    	<input type="email" class="form-control" id="email" placeholder="<?php echo $text['enter_own_email']; ?>">
		  	</div>
		  	<div class="form-group">
		    	<label for="pwd"><?php echo $text['password']; ?>:</label>
		    	<input type="password" class="form-control" id="pwd" placeholder="<?php echo $text['password']; ?>">
		  	</div>
		  	<a href="#" id="openForgot" class="openForm"><?php echo $trans['forgot_pass']; ?></a>
		  	<button type="button" id="submitLogin" class="btn btn-default"><?php echo $text['sign_in']; ?></button>
		</form>
	</div>
	<div class="forgotDiv" id="forgotDiv">
		<form role="form">
		  	<div class="form-group">
		    	<label for="email"><?php echo $text['email']; ?>:</label>
		    	<input type="email" class="form-control" id="email_forgot" placeholder="<?php echo $text['enter_own_email']; ?>">
		  	</div>
		  	<a href="#" id="openLogin" class="openForm"><?php echo $trans['login_page']; ?></a>
		  	<button type="button" id="submitForgot" class="btn btn-default"><?php echo $trans['submit']; ?></button>
		</form>
	</div>
	<?php
	endif;
endif;
?>