<?php
require_once dirname(__FILE__) . '/plugin.php';

$plugin_id = mysqli_real_escape_string($mysqli, $_GET['id']);
$get_current_version = $mysqli->query("SELECT version FROM $table_plugins WHERE id='$plugin_id'");
while($row = $get_current_version->fetch_assoc()) {
	$cur_version = $row['version'];
}

if($cur_version < '1.0.2') {
	//Updating the pages to the translatable one
	$mysqli->query("TRUNCATE TABLE $table_pages");
	$mysqli->query("ALTER TABLE `$table_uploads` ADD `pm_email` VARCHAR(200) NOT NULL");
	$mysqli->query("INSERT INTO `$table_pages` (`type`, `title`, `parent`, `path`, `custom_html`) VALUES
					('tab', 'tab_go_premium', '0', '', 'href=\"index.php?page=Premium\" target=\"_blank\" title=\"Premium page\"'),
					('page', '', 'Premium', 'plugins/droppy_premium/page/index.php', ''),
					('tab', 'tab_my_uploads', '0', '', 'id=\"customTab_Uploads\" onclick=\"openInlinePage(this.id);\"'),
					('tab_body', '', 'Uploads', 'plugins/droppy_premium/page/uploads.php', ''),
					('tab', 'tab_my_account', '0', '', 'id=\"customTab_Acc\" onclick=\"openInlinePage(this.id);\"'),
					('tab_body', '', 'Acc', 'plugins/droppy_premium/page/login.php', ''),
					('tab', 'tab_logout', '0', '', 'href=\"src/action.php?action=logout\"');");
}
if($cur_version < '1.0.3') {
	$mysqli->query("CREATE TABLE `$table_pm_forgot` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `email` varchar(200) NOT NULL,
	  `reset` varchar(300) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
	$mysqli->query("ALTER TABLE `$table_pm_settings` ADD `forgot_pass_subject` TEXT NOT NULL AFTER `payment_failed_email`, ADD `forgot_pass_email` TEXT NOT NULL AFTER `forgot_pass_subject`, ADD `logo_url` varchar(200) NOT NULL AFTER `signature_api`;");
	$logo_location = 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']) . '/page/assets/images/logo_droppy.png';
	$mysqli->query("UPDATE $table_pm_settings SET logo_url='$logo_location', forgot_pass_subject='Your password reset', forgot_pass_email='Hello,\r\n\r\nThank you for using our service, we have received a request to change your password.\r\nYou can change the password with the following URL mentioned below.\r\n\r\n{reset_url}\r\n\r\nYou can just ignore this email if you did not requested this.\r\n\r\nBest regards,\r\nCompany'");
}
if($cur_version < '1.0.7') {
	$mysqli->query("CREATE TABLE `$table_pm_vouchers` (
	  `id` int(10) NOT NULL AUTO_INCREMENT,
	  `code` varchar(100) DEFAULT NULL,
	  `discount_type` varchar(20) DEFAULT NULL,
	  `discount_value` int(10) DEFAULT NULL,
	  `discount_percentage` int(10) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
}
if($cur_version < '1.1.0') {
    //Delete pages from database, no longer needed.
    $mysqli->query("DELETE FROM $table_pages");
    $mysqli->query("ALTER TABLE $table_uploads CHANGE `pm_email` `pm_email` VARCHAR(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL;");
}

$mysqli->query("UPDATE $table_plugins SET version='$plugin_version' WHERE id='$plugin_id'");

header('Location: ../../admin/index.php?page=plugins&update=ok');
?>